
Smart Proxy - Bug #7060

puppet gem is required even when puppetca module is disabled

08/13/2014 06:31 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1129439 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/198

  

Description

Related issues:

Related to Smart Proxy - Bug #7080: Couldn't enable plugin puppet: undefined ... Closed 08/14/2014

Related to Smart Proxy - Bug #7240: When loading using bundler smart-proxy fa... Closed 08/22/2014

Associated revisions

Revision ed3332ae - 08/13/2014 11:19 AM - Dmitri Dolguikh 

fixes #7060: puppet gem is no longer required if puppetca is disabled.

History

#1 - 08/13/2014 06:34 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/198 added

- Pull request deleted ()

#2 - 08/13/2014 06:36 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from Smart Proxy to Puppet

- translation missing: en.field_release set to 10

#3 - 08/13/2014 06:38 AM - Lukas Zapletal

- Bugzilla link set to 1129439

#4 - 08/13/2014 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ed3332ae5d731382a768c0329ae0ce9e990730e6.

#5 - 08/13/2014 05:33 PM - Anonymous

This seems to be breaking foreman-proxy on RHEL6 unless :puppet_provider: puppetrun is explicitly set in /etc/foreman-proxy/settings.d/puppet.yml

E, [2014-08-13T17:26:31.882793 #44503] ERROR -- : Couldn't enable plugin puppet: undefined method `<=>' for

:puppetdir:Symbol:/usr/share/foreman-proxy/lib/proxy/plugin.rb:139:in `<=>'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:139:in

`sort'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:139:in `log_used_default_settings'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:149:in

`configure_plugin'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:22:in `configure_loaded_plugins'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:22:in

`each'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:22:in `configure_loaded_plugins'/n/usr/share/foreman-proxy/lib/smart_proxy.rb:116:in

`launch'/n/usr/share/foreman-proxy/bin/smart-proxy:6
<jsherrill> jmontleon: in ruby 1.8.7 it doens't look like you can sort symbols?

<jsherrill> irb(main):002:0> [:a, :b, :c].sort

<jsherrill> NoMethodError: undefined method `<=>' for :a:Symbol

<jsherrill> so i'm guessing its parsing those config files and using symbols

<jsherrill> jmontleo: but the proper fix would be to not rely on sortable symbols IMHO

jsherrill> or else explicitly include the Comparable monkey patch

#6 - 08/14/2014 03:41 AM - Dominic Cleal

- Related to Bug #7080: Couldn't enable plugin puppet: undefined method `<=>' for :puppet_provider:Symbol added

#7 - 08/14/2014 08:40 AM - Lukas Zapletal

I tested this only on RHEL7 which has Ruby 2.0...

#8 - 08/26/2014 03:48 AM - Dominic Cleal

- Related to Bug #7240: When loading using bundler smart-proxy fails to load puppetca module if puppet module is disabled added
